<template>
    <div id="say-hi">
        <form>
            <input type="text" v-model="name" required>
        </form>
        <div id="output">
            <button v-on:click="btn">Say Hi</button>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return{
            name:""
        }
    },
    methods:{
        btn:function(){
        alert("Hello " + this.name + "!!");
        }
    }
}
</script>